## NMSettingPrefixDelegation NMSettingPrefixDelegation — Describes connection properties related to IPv6 prefix delegation |

## Functions

NMSetting * | nm_setting_prefix_delegation_new ()
gint64 | nm_setting_prefix_delegation_get_subnet_id ()

## Types and Values

#define | NM_SETTING_PREFIX_DELEGATION_SETTING_NAME
#define | NM_SETTING_PREFIX_DELEGATION_SUBNET_ID

## Description

The NMSettingPrefixDelegation object is a NMSetting subclass that describes the configuration of downstream interfaces using IPv6 prefix delegation.

## Functions

### nm_setting_prefix_delegation_new ()

    NMSetting *
    nm_setting_prefix_delegation_new (void);

Creates a new NMSettingPrefixDelegation object with default values.

#### Returns

the new empty NMSettingPrefixDelegation object.

[transfer full]

Since: 1.54

### nm_setting_prefix_delegation_get_subnet_id ()

    gint64
    nm_setting_prefix_delegation_get_subnet_id
                                   (NMSettingPrefixDelegation *setting);

#### Parameters

setting | the NMSettingPrefixDelegation |

#### Returns

the subnet ID for prefix delegation

Since: 1.54

## Types and Values

### NM_SETTING_PREFIX_DELEGATION_SETTING_NAME

    #define NM_SETTING_PREFIX_DELEGATION_SETTING_NAME "prefix-delegation"

### NM_SETTING_PREFIX_DELEGATION_SUBNET_ID

    #define NM_SETTING_PREFIX_DELEGATION_SUBNET_ID "subnet-id"